diff --git a/lang/cat.l b/lang/cat.l
index b7fb7a487..c90015595 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -306,27 +306,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Aquest nick pertany a un altra persona. Per favor escull un altre nick.
diff --git a/lang/de.l b/lang/de.l
index f9dc783df..68fd727bb 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -328,27 +328,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Diese Funktion  ist beschränkt auf Services Operatoren.
-HELP_LIMIT_SERV_ADMIN
-	Diese Funktion  ist beschränkt auf Services Administratoren.
-HELP_LIMIT_SERV_ROOT
-	Diese Funktion  ist beschränkt auf Services Root-Administratoren.
-HELP_LIMIT_IRC_OPER
-	Diese Funktion  ist beschränkt auf IRC Operatoren.
-HELP_LIMIT_HOST_SETTER
-	Diese Funktion  ist beschränkt auf Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Diese Funktion  ist beschränkt auf Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Dieser Nickname gehört schon jemand anderem. Bitte wähle einen anderen.
diff --git a/lang/en_us.l b/lang/en_us.l
index f2f029644..dc8b13045 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -293,27 +293,6 @@ CS_LIST_INCORRECT_RANGE
 	To search for channels starting with #, search for the channel
 	name without the #-sign prepended (anope instead of #anope).
 
-# Generic help limited to messages
-HELP_LIMIT_SERV_OPER
-	
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	
-	Limited to Host Removers.
-
-
 ###########################################################################
 #
 # NickServ messages
diff --git a/lang/es.l b/lang/es.l
index 0c1b51c9f..b3b60c9c0 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -309,27 +309,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Este nick pertenece a otra persona. Por favor elige otro nick.
diff --git a/lang/fr.l b/lang/fr.l
index 068086947..3bcb44e2c 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -311,26 +311,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Ce nick appartient à quelqu'un d'autre. Veuillez en changer.
diff --git a/lang/gr.l b/lang/gr.l
index c697976a5..7dec3d397 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -305,27 +305,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Áõôü ôï øåõäþíõìï áíÞêåé óå êÜðïéïí Üëëïí.  Ðáñáêáëþ äéÜëåîå êÜðïéï Üëëï.
diff --git a/lang/hun.l b/lang/hun.l
index 37a0e65bf..baf0d3b88 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -314,27 +314,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Ez a nick már regisztrált.  Kérlek válassz másikat.
diff --git a/lang/it.l b/lang/it.l
index 3b73032c8..a2763af76 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -307,27 +307,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	Limited to Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	Limited to Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	Limited to Services Roots.
-HELP_LIMIT_IRC_OPER
-	Limited to IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	Limited to Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	Limited to Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Questo nick appartiene a qualcun altro. Per favore scegline un altro.
diff --git a/lang/nl.l b/lang/nl.l
index 7b2b2c5a8..f12cbc501 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -308,33 +308,6 @@ CS_LIST_INCORRECT_RANGE
 #
 ###########################################################################
 
-# Automatic messages
-HELP_LIMIT_SERV_OPER
-	
-	Gelimiteerd tot Services Operators.
-HELP_LIMIT_SERV_ADMIN
-	
-	Gelimiteerd tot Services Administrators.
-HELP_LIMIT_SERV_ROOT
-	
-	Gelimiteerd tot Services Roots.
-HELP_LIMIT_IRC_OPER
-	
-	Gelimiteerd tot IRC Operators.
-HELP_LIMIT_HOST_SETTER
-	
-	Gelimiteerd tot Host Setters.
-HELP_LIMIT_HOST_REMOVER
-	
-	Gelimiteerd tot Host Removers.
-
-
-###########################################################################
-#
-# NickServ messages
-#
-###########################################################################
-
 # Automatic messages
 NICK_IS_REGISTERED
 	Deze nick is eigendom van iemand anders.  Kies een andere.
diff --git a/lang/pl.l b/lang/pl.l
index bdca1c812..c15243fad 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -362,31 +362,6 @@ CS_LIST_INCORRECT_RANGE
 	Aby wyszukaæ kana³y o nazwach zaczynaj±cych siê znakiem #
 	nale¿y ten znak pomin±æ (anope zamiast #anope).
 
-# Generic help limited to messages
-HELP_LIMIT_SERV_OPER
-	
-	Polecenie dostêpne tylko dla operatorów serwisów.
-
-HELP_LIMIT_SERV_ADMIN
-	
-	Polecenie dostêpne tylko dla administratorów serwisów.
-
-HELP_LIMIT_SERV_ROOT
-	
-	Polecenie dostêpne tylko dla Services Roots.
-
-HELP_LIMIT_IRC_OPER
-	
-	Polecenie dostêpne tylko dla IRC operatorów.
-
-HELP_LIMIT_HOST_SETTER
-	
-	Polecenie dostêpne tylko dla Host Setters.
-
-HELP_LIMIT_HOST_REMOVER
-	
-	Polecenie dostêpne tylko dla Host Removers.
-
 ###########################################################################
 #
 # NickServ messages
diff --git a/src/commands.c b/src/commands.c
index 6c422a9d7..4add1c552 100644
--- a/src/commands.c
+++ b/src/commands.c
@@ -88,16 +88,6 @@ void mod_run_cmd(char *service, User * u, CommandHash * cmdTable[], const char *
 		// Check whether or not access string is empty
 	}
 
-/*
-XXX: priv checking
-	if (c->has_priv != NULL && !c->has_priv(u))
-	{
-		notice_lang(service, u, ACCESS_DENIED);
-		alog("Access denied for %s with service %s and command %s", u->nick, service, cmd);
-		return;
-	}
-  */
-
 	std::vector<std::string> params;
 	std::string curparam;
 	char *s = NULL;
@@ -144,32 +134,6 @@ XXX: priv checking
 
 /*************************************************************************/
 
-/**
- * Output the 'Limited to' line for the given command
- * @param service Services Client
- * @param u User Struct
- * @param c Command Struct
- * @return void
- *
-void do_help_limited(char *service, User * u, Command * c)
-{
-	if (c->has_priv == is_services_oper)
-		notice_lang(service, u, HELP_LIMIT_SERV_OPER);
-	else if (c->has_priv == is_services_admin)
-		notice_lang(service, u, HELP_LIMIT_SERV_ADMIN);
-	else if (c->has_priv == is_services_root)
-		notice_lang(service, u, HELP_LIMIT_SERV_ROOT);
-	else if (c->has_priv == is_oper)
-		notice_lang(service, u, HELP_LIMIT_IRC_OPER);
-	else if (c->has_priv == is_host_setter)
-		notice_lang(service, u, HELP_LIMIT_HOST_SETTER);
-	else if (c->has_priv == is_host_remover)
-		notice_lang(service, u, HELP_LIMIT_HOST_REMOVER);
-}
-*/
-
-/*************************************************************************/
-
 /**
  * Prints the help message for a given command.
  * @param services Services Client
@@ -196,9 +160,6 @@ void mod_help_cmd(char *service, User * u, CommandHash * cmdTable[],
 		has_had_help = current->OnHelp(u, subcommand);
 	if (!has_had_help)
 		notice_lang(service, u, NO_HELP_AVAILABLE, cmd);
-	//else {
-	//	do_help_limited(service, u, c);
-	//}
 }
 
 /*************************************************************************/
diff --git a/src/core/bs_set.c b/src/core/bs_set.c
index d8bf4c03b..0953e3f6e 100644
--- a/src/core/bs_set.c
+++ b/src/core/bs_set.c
@@ -153,7 +153,7 @@ class CommandBSSet : public Command
 		if (subcommand.empty())
 		{
 			notice_help(s_BotServ, u, BOT_HELP_SET);
-			if (is_services_admin(u))
+			if (u->nc->IsServicesOper())
 				notice_help(s_BotServ, u, BOT_SERVADMIN_HELP_SET);
 		}
 		else if (subcommand == "DONTKICKOPS")
diff --git a/src/core/cs_drop.c b/src/core/cs_drop.c
index 9098f73e0..476917cc2 100644
--- a/src/core/cs_drop.c
+++ b/src/core/cs_drop.c
@@ -106,7 +106,7 @@ class CommandCSDrop : public Command
 
 	bool OnHelp(User *u, const std::string &subcommand)
 	{
-		if (is_services_admin(u) || is_services_root(u))
+		if (u->nc && u->nc->IsServicesOper())
 			notice_help(s_ChanServ, u, CHAN_SERVADMIN_HELP_DROP);
 		else
 			notice_help(s_ChanServ, u, CHAN_HELP_DROP);
